# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryOriginalSizes, DXQueryOriginalMeshExtents

Function

Returns information about the size of the original Field used as the input to `DXGrow`.

Syntax
`
#include <dx/dx.h>
`

Field DXQueryOriginalSizes(Field f, int *positions, int *connections)
Field DXQueryOriginalMeshExtents(Field f, int *offsets, int *sizes)

Functional Details

Returns information about the size of the original Field used as the input to `DXGrow`. The parameter `f` names a Field that was produced by `DXGrow`. In the case of `DXQueryOriginalSizes`, if `positions` is not `NULL`, the number of positions in the original Field is returned in `*positions`. If `connections` is not `NULL`, the number of interpolation elements in the original Field is returned in `*connections`. This is particularly useful in the case of irregular data.

In the case of data defined on a regular mesh of connections, `DXQueryOriginalMeshExtents` can be used to obtain the offsets of the original Field relative to the grown Field, and the sizes of the original Field. If `offsets` is not `NULL`, the offset in each dimension of the original Field is returned in the Array pointed to by `offsets`; if `sizes` is not `NULL`, the size in each dimension of the original Field is returned in the Array pointed to by `offsets`.

Typically, data is grown so that neighborhood information is available during the calculation of a result for some original point (or connection) in the Field. The information returned by these routines identifies the portion of the grown Field that belonged to the original Field and that will remain after a later call to `DXShrink`. Thus, the caller can use this information to process only that portion of the Field that will remain after a later call to `DXShrink`.

Return Value

Returns `f` if it is a grown field or returns `NULL` (without setting an error code) if it not; otherwise, returns `NULL` and sets an error code.

See Also

`DXGrow, DXGrowV, DXShrink`

14.4 , "Growing and Shrinking Partitioned Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]